/* CoverLocation.h */

/* Copyright (C) 2011-2015  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef COVERLOCATION_H
#define COVERLOCATION_H

#include "Helper/MetaData/MetaData.h"

class MetaData;
class CoverLocation
{

public:

	QString search_url;
	QString cover_path;
	QStringList local_paths;

	bool valid;

	CoverLocation();
	CoverLocation(const CoverLocation&);

	void print() const;
    QString toString() const;

	// (1)
	static CoverLocation get_cover_location(const QString& album_name, const QString& artist_name);

	// (2) determine major artist, call (1)
	static CoverLocation get_cover_location(const QString& album_name, const QStringList& artists);

	// (3)
	// if(artists > 1) determines artists and album name, call (2)
	// if(artists == 1) call (2)
	// if(artists == 0) call (2)
	static CoverLocation get_cover_location(const Album& album);

	// (4) fetch album by ID, call (3)
	// supports local covers
	static CoverLocation get_cover_location(int album_id, quint8 db_id);

	// (5)
	static CoverLocation get_cover_location(const QString& artist);

	// (6) extract artist name, class (5)
	static CoverLocation get_cover_location(const Artist& artist);


	// (7)
	// if (album id < 0) call (1) -> supports local cover location
	// else call (3)
	static CoverLocation get_cover_location(const MetaData& md);


	static CoverLocation getInvalidLocation();

	static QString get_cover_directory();

};

Q_DECLARE_METATYPE(CoverLocation)

#endif // COVERLOCATION_H
