/* CoverLookupAll.h */

/* Copyright (C) 2011-2015  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef COVERLOOKUPALL_H
#define COVERLOOKUPALL_H

#include "CoverLookup.h"

class CoverLookupAll : public CoverLookupInterface
{
    Q_OBJECT

private:
    CoverLookup* _cl;
    AlbumList _album_list;
    bool _run;

private slots:
	void cover_found(const CoverLocation&);
    void finished(bool);

public:

    CoverLookupAll(QObject* parent, const AlbumList& album_list);
    ~CoverLookupAll();

    virtual void stop();
    void start();

protected:
    void run();
};

#endif // COVERLOOKUPALL_H
