/* GSTConvertEngine.h */

/* Copyright (C) 2011-2015  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef GSTCONVERTENGINE_H
#define GSTCONVERTENGINE_H

#include "Engine.h"
#include "GSTConvertPipeline.h"


class GSTConvertEngine : public Engine
{
	Q_OBJECT

public:
	explicit GSTConvertEngine(QObject *parent=nullptr);
	
	void set_track_finished() override;
	virtual bool init() override;


protected slots:
	void set_cur_position_ms(qint64 ms) override;


public slots:
	virtual void play() override;
	virtual void stop() override;
	virtual void pause() override;

	virtual void jump_abs_ms(quint64 pos_ms) override;
	virtual void jump_rel_ms(quint64 ms) override;
	virtual void jump_rel(double percent) override;

	virtual void change_track(const MetaData&) override;
	virtual void change_track(const QString&) override;

	virtual void set_volume(int vol);


protected:
	GSTConvertPipeline*		_pipeline;
	MetaData				_md_target;
	gchar*					_target_uri;

	// methods
	bool set_uri(const MetaData& md);
};

#endif // GSTCONVERTENGINE_H


