/* CDatabaseConnector.h */

/* Copyright (C) 2011  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef CDATABASECONNECTOR_H
#define CDATABASECONNECTOR_H

#include "DatabaseAccess/LibraryDatabase.h"
#include "Helper/Equalizer_presets.h"


#include "DatabaseAccess/DatabaseBookmarks.h"
#include "DatabaseAccess/DatabaseModule.h"
#include "DatabaseAccess/DatabasePlaylist.h"
#include "DatabaseAccess/DatabasePodcasts.h"
#include "DatabaseAccess/DatabaseSettings.h"
#include "DatabaseAccess/DatabaseStreams.h"
#include "DatabaseAccess/DatabaseVisStyles.h"


using namespace Sort;

#define INDEX_SIZE 3


class CDatabaseConnector :
		public LibraryDatabase,
		public DatabaseBookmarks,
		public DatabasePlaylist,
		public DatabasePodcasts,
		public DatabaseSettings,
		public DatabaseStreams,
		public DatabaseVisStyles
{

	SINGLETON(CDatabaseConnector)


protected:
	bool updateAlbumCissearch();
	bool updateArtistCissearch();
	bool updateTrackCissearch();

	virtual bool apply_fixes();
};

#endif // CDATABASECONNECTOR_H
