/* Logger.cpp */

/* Copyright (C) 2011-2015  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#include "Helper/Logger/Logger.h"



Logger sp_log(Log type, const QString& module){

	QString type_str;
	switch(type){

		case Log::Info:
			break;
		case Log::Debug:
			type_str = "Debug";
			break;
		case Log::Warning:
			type_str = "Warning";
			break;
		case Log::Error:
			type_str = "Error";
			break;

		default:
			type_str = "Debug";
			break;
	}

	if(!module.isEmpty()){
		type_str += ": " + module;
	}

	if(!type_str.isEmpty()){
		type_str += ": ";
	}

	return Logger(type_str.toLocal8Bit(), std::clog);
}

