/* LibraryContainer.cpp */

/* Copyright (C) 2011-2014  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#include "Interfaces/LibraryInterface/LibraryContainer.h"

LibraryContainer::LibraryContainer(QObject* parent) :
	QObject(parent)
{
	_library_logic = nullptr;
	_library_ui = nullptr;
	_is_local = false;

}

LibraryContainer::~LibraryContainer()
{

}

AbstractLibrary* LibraryContainer::get_logic() const {
	return _library_logic;
}

GUI_AbstractLibrary* LibraryContainer::get_ui() const {
	return _library_ui;
}

QString LibraryContainer::get_name() const {
	return _name;
}

QString LibraryContainer::get_display_name() const {
	return _display_name;
}


bool LibraryContainer::is_local()const {
	return _is_local;
}


QIcon LibraryContainer::get_icon() const {
	return _icon;
}
