/* LibraryContainer.h */

/* Copyright (C) 2011-2014  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef LIBRARYCONTAINER_H
#define LIBRARYCONTAINER_H

#include "Components/Library/Library.h"
#include "GUI/Library/GUI_AbstractLibrary.h"
#include <QIcon>

class LibraryContainer : public QObject
{
	Q_OBJECT

protected:
	AbstractLibrary*			_library_logic;
	GUI_AbstractLibrary*		_library_ui;
	QString						_name;
	QString						_display_name;
	bool						_is_local;
	QIcon						_icon;


public:
	explicit LibraryContainer(QObject* parent=nullptr);
	virtual ~LibraryContainer();

	QIcon						get_icon() const;

	AbstractLibrary*			get_logic() const;
	GUI_AbstractLibrary*		get_ui() const;

	QString						get_name() const;
	QString						get_display_name() const;

	bool						is_local() const ;
};

Q_DECLARE_INTERFACE(LibraryContainer, "com.sayonara-player.library")

#endif // LIBRARYCONTAINER_H
