/* LibraryPluginLoader.h */

/* Copyright (C) 2011-2014  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef LIBRARYPLUGINLOADER_H
#define LIBRARYPLUGINLOADER_H

#include <QDir>
#include <QList>
#include <QPluginLoader>
#include <QWidget>

#include "LibraryContainer.h"


class LibraryPluginLoader : public QObject, protected SayonaraClass
{

	Q_OBJECT

private:
	int _cur_idx;
	QList<LibraryContainer*>	_libraries;

public:
	LibraryPluginLoader(QObject* parent=nullptr);
	~LibraryPluginLoader();

	QList<LibraryContainer*> get_libraries() const;
	QList<AbstractLibrary*> get_libraries_logic() const;
	QList<GUI_AbstractLibrary*> get_libraries_ui() const;

	AbstractLibrary* get_cur_library_logic() const;
	GUI_AbstractLibrary* get_cur_library_ui() const;

	void set_cur_library(int idx);
};

#endif // LIBRARYPLUGINLOADER_H
