/* LocalLibraryContainer.cpp */

/* Copyright (C) 2011-2014  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#include "LocalLibraryContainer.h"

#include "GUI/Library/GUI_Library_windowed.h"
#include "Components/Library/LocalLibrary.h"

LocalLibraryContainer::LocalLibraryContainer(QObject* parent) :
	LibraryContainer(parent)
{
	_name = tr("Local Library");
	_display_name = tr("Library");
	_is_local = true;

	LocalLibrary* local_library = new LocalLibrary(this);
	_icon = Helper::getIcon("append");

	_library_logic =	(AbstractLibrary*) local_library;
	_library_ui =		(GUI_AbstractLibrary*) (new GUI_Library_windowed(local_library));
}

LocalLibraryContainer::~LocalLibraryContainer()
{

}

